package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 重点监管单位
 * Created by Bby on 2022/6/27
 * Email bby0856@163.com
 */
public class ZdjgdwPagelistBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String id;
        private String createTime;
        private String updateTime;
        private String createBy;
        private Integer delFlag;
        private String qymc;
        private String shtyxydm;
        private String countyCode;
        private String countyName;
        private String zzjglx;
        private String qybm;
        private String fddbr;
        private String hydm;
        private String lxrmc;
        private String lxrdh;
        private String dkzymj;
        private String jtwz;
        private String jd;
        private String wd;
        private String qyzt;
        private String bz;
        private Object lrsj;
        private Object tcjgjl;
        private String hylxmh;
        private String hylx;
        private String nrmdyy;
        private String pwxkzbh;
        private Integer tczt;
        private Object tcsj;
        private Object tcsp;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Integer getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Integer delFlag) {
            this.delFlag = delFlag;
        }

        public String getQymc() {
            return qymc;
        }

        public void setQymc(String qymc) {
            this.qymc = qymc;
        }

        public String getShtyxydm() {
            return shtyxydm;
        }

        public void setShtyxydm(String shtyxydm) {
            this.shtyxydm = shtyxydm;
        }

        public String getCountyCode() {
            return countyCode;
        }

        public void setCountyCode(String countyCode) {
            this.countyCode = countyCode;
        }

        public String getCountyName() {
            return countyName;
        }

        public void setCountyName(String countyName) {
            this.countyName = countyName;
        }

        public String getZzjglx() {
            return zzjglx;
        }

        public void setZzjglx(String zzjglx) {
            this.zzjglx = zzjglx;
        }

        public String getQybm() {
            return qybm;
        }

        public void setQybm(String qybm) {
            this.qybm = qybm;
        }

        public String getFddbr() {
            return fddbr;
        }

        public void setFddbr(String fddbr) {
            this.fddbr = fddbr;
        }

        public String getHydm() {
            return hydm;
        }

        public void setHydm(String hydm) {
            this.hydm = hydm;
        }

        public String getLxrmc() {
            return lxrmc;
        }

        public void setLxrmc(String lxrmc) {
            this.lxrmc = lxrmc;
        }

        public String getLxrdh() {
            return lxrdh;
        }

        public void setLxrdh(String lxrdh) {
            this.lxrdh = lxrdh;
        }

        public String getDkzymj() {
            return dkzymj;
        }

        public void setDkzymj(String dkzymj) {
            this.dkzymj = dkzymj;
        }

        public String getJtwz() {
            return jtwz;
        }

        public void setJtwz(String jtwz) {
            this.jtwz = jtwz;
        }

        public String getJd() {
            return jd;
        }

        public void setJd(String jd) {
            this.jd = jd;
        }

        public String getWd() {
            return wd;
        }

        public void setWd(String wd) {
            this.wd = wd;
        }

        public String getQyzt() {
            return qyzt;
        }

        public void setQyzt(String qyzt) {
            this.qyzt = qyzt;
        }

        public String getBz() {
            return bz;
        }

        public void setBz(String bz) {
            this.bz = bz;
        }

        public Object getLrsj() {
            return lrsj;
        }

        public void setLrsj(Object lrsj) {
            this.lrsj = lrsj;
        }

        public Object getTcjgjl() {
            return tcjgjl;
        }

        public void setTcjgjl(Object tcjgjl) {
            this.tcjgjl = tcjgjl;
        }

        public String getHylxmh() {
            return hylxmh;
        }

        public void setHylxmh(String hylxmh) {
            this.hylxmh = hylxmh;
        }

        public String getHylx() {
            return hylx;
        }

        public void setHylx(String hylx) {
            this.hylx = hylx;
        }

        public String getNrmdyy() {
            return nrmdyy;
        }

        public void setNrmdyy(String nrmdyy) {
            this.nrmdyy = nrmdyy;
        }

        public String getPwxkzbh() {
            return pwxkzbh;
        }

        public void setPwxkzbh(String pwxkzbh) {
            this.pwxkzbh = pwxkzbh;
        }

        public Integer getTczt() {
            return tczt;
        }

        public void setTczt(Integer tczt) {
            this.tczt = tczt;
        }

        public Object getTcsj() {
            return tcsj;
        }

        public void setTcsj(Object tcsj) {
            this.tcsj = tcsj;
        }

        public Object getTcsp() {
            return tcsp;
        }

        public void setTcsp(Object tcsp) {
            this.tcsp = tcsp;
        }
    }
}
